$(document).ready(function () {
  var navListItems = $("div.setup-panel div a"),
    allWells = $(".setup-content"),
    allNextBtn = $(".nextBtn"),
    allPrevBtn = $(".prevBtn");

  allWells.hide();

  navListItems.click(function (e) {
    e.preventDefault();
    var $target = $($(this).attr("href")),
      $item = $(this);

    if (!$item.hasClass("disabled")) {
      navListItems.removeClass("btn-primary").addClass("btn-default");
      $item.addClass("btn-primary");
      allWells.hide();
      $target.show();
      $target.find("input:eq(0)").focus();
    }
  });

  allPrevBtn.click(function () {
    var curStep = $(this).closest(".setup-content"),
      curStepBtn = curStep.attr("id"),
      prevStepWizard = $('div.setup-panel div a[href="#' + curStepBtn + '"]')
        .parent()
        .prev()
        .children("a");

    prevStepWizard.removeAttr("disabled").trigger("click");
  });

  allNextBtn.click(function () {
    var curStep = $(this).closest(".setup-content"),
      curStepBtn = curStep.attr("id"),
      nextStepWizard = $('div.setup-panel div a[href="#' + curStepBtn + '"]')
        .parent()
        .next()
        .children("a"),
      curInputs = curStep.find("input[type='text'],input[type='url']"),
      isValid = true;

    $(".form-group").removeClass("has-error");
    for (var i = 0; i < curInputs.length; i++) {
      if (!curInputs[i].validity.valid) {
        isValid = false;
        $(curInputs[i]).closest(".form-group").addClass("has-error");
      }
    }

    if (isValid) nextStepWizard.removeAttr("disabled").trigger("click");
  });

  $("div.setup-panel div a.btn-primary").trigger("click");
});
// select 2
$(".select2").each(function () {
  $(this).select2({
    width: "100%               ",
    placeholder: $(this).attr("placeholder"),
    allowClear: Boolean($(this).data("allow-clear")),
  });
});
$(document).ready(function () {
  const fp = flatpickr("#multiple_date", {
    disable: ["2023-03-30", "2023-03-21", "2023-03-08", new Date(2023, 4, 9)],
    dateFormat: "Y-m-d",
  });
  const fp1 = flatpickr("#range_date", {
    mode: "range",
    minDate: "today",
    dateFormat: "Y-m-d",
    disable: [
      function (date) {
        // disable every multiple of 8
        return !(date.getDate() % 8);
      },
    ],
  });
});
$("select#date_type").on("change", function () {
  if (this.value == "multiple") {
    $("#range_date_cont").hide();
    $("#multiple_date_cont").show();
  } else {
    $("#multiple_date_cont").hide();
    $("#range_date_cont").show();
  }
});
function show_menu_costing() {
  $(".gg_show").toggleClass("d-none");
  $(".gg_show_later").toggleClass("d-none");

  $("#menu_costing").toggle("slow");
}
//
